%define pkgname check_linux_bonding
Summary:   A Nagios plugin to check Linux bonding interfaces
Name:      nagios-plugins-bonding
Version:   1.4
Release:   4.2
License:   GPL
Group:     Applications/System
BuildRoot: %{_tmppath}/%{pkgname}-%{version}-root
URL:       http://folk.uio.no/trondham/software/check_linux_bonding.html
Source0:   %{pkgname}-%{version}.tar.bz2
BuildRequires: perl

Requires: perl >= 5.6.0
Requires: perl(POSIX)
Requires: perl(Getopt::Long)

%description
check_linux_bonding is a plugin for the Nagios monitoring software
that checks bonding interfaces on Linux. The plugin is fairly simple
and will report any interfaces that are down (both masters and
slaves). It will also alert you of bonding interfaces with only one
slave, since that usually points to a misconfiguration.

%prep
%setup -q -n %{pkgname}-%{version}

%build
#pod2man -s 8 -r "%{pkgname} %{version}" -c "Nagios plugin" %{pkgname}.pod %{pkgname}.8
gzip man/%{pkgname}.8

%install
install -D -m 0755 %{pkgname} %{buildroot}%{_prefix}/lib/nagios/plugins/%{pkgname}
install -D -m 0644 man/%{pkgname}.8.gz %{buildroot}%{_mandir}/man8/%{pkgname}.8.gz

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc COPYING CHANGES
%dir %{_prefix}/lib/nagios
%dir %{_prefix}/lib/nagios/plugins
%{_prefix}/lib/nagios/plugins/%{pkgname}
%{_mandir}/man8/%{pkgname}.8*


%changelog
* Sun Jun 15 2014 cs@linux-administrator.com
- update to release 1.4
* Wed Aug  8 2012 cs@linux-administrator.com
- fix plugin path for x86_64
* Sun Feb 19 2012 cs@linux-administrator.com
- initial import of version 1.3.1
